import { AdminModuleService } from "./admin.module.service";
export declare class AdminModuleController {
    private readonly AdminModuleService;
    constructor(AdminModuleService: AdminModuleService);
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/module/module.entity").PageModule[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/module/module.entity").PageModule;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
